{ config, lib, pkgs, ... }:

{
  environment.systemPackages = with pkgs;
    [
      vim
      tmux
      fwupd
      pciutils
      dmidecode
      smartmontools
      borgbackup
      iw
      killall
      bc
      efibootmgr
      efitools
      efivar
      mkpasswd
      rename
      wipe
      gnupg
      pass-wayland
      pwgen
      units
      powertop
      lm_sensors
    ] ++ [ nixfmt nix-index nix-diff nixpkgs-review ]
    ++ [ autojump powerline-go ] ++ [ # File Utilities
      ack
      unzip
      unrar
      borgbackup
      iotop
      cabextract
      tree # p7zip
      vim
      vimPlugins.pathogen
      vimPlugins.airline
      git
      git-lfs
    ] ++ [ # Filesystem & Disk Utilities
      fuse_exfat
      cifs-utils
      keyutils # required for cifs kerberos auth
      smbclient
      exfat-utils
      sshfs-fuse
      hdparm
      mtpfs
      ntfs3g
      smartmontools
      parted
    ] ++ [ # Networking Utilities
      nmap
      bind
      curl
      wget
      ncat
      tor
      tor-arm
      mosh
      whois
      wol
      rsync
      sshuttle
      iftop
      mailutils # hash-slinger #TODO: hash-slinger has broken dependency pyunbound
      imapsync
      bluez-tools
    ];

}
